﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;
using System.Diagnostics;

namespace FocusSwitchLog
{
    public static class ApplicationRunningHelper
    {
        // Funktion gibt das aktive Vordergrundfenster zurück.
        [DllImport("user32.dll")]
        private static extern IntPtr GetForegroundWindow();

        // Gibt den Prozessnamen des aktiven Fensters zurück.
        public static string GetForegroundProcess()
        {
            IntPtr activeWindow = GetForegroundWindow(); // Handle des aktiven Fensters

            if (activeWindow != null)
            {
                // Prozess zum aktiven Fenster finden und ausgeben
                Process[] allProcs = Process.GetProcesses();
                foreach (Process proc in allProcs)
                    if (proc.MainWindowHandle.Equals(activeWindow))
                        return proc.MainWindowTitle + " (" + proc.ProcessName + ")";

                return "Prozess konnte nicht ermittelt werden.";
            }

            // kein Fenster aktiv (gibt es so was überhaupt?)
            return string.Empty;
        }
    }
}
