﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace FocusSwitchLog
{
    public partial class MainForm : Form
    {
        private string lastActiveWindow = string.Empty;
        private List<string> outputLog = new List<string>();

        public MainForm()
        {
            InitializeComponent();

            FocusSwitchLog.DataSource = outputLog;
        }

        // Überprüft alle 10 ms, ob sich der Vordergrundprozess geändert hat und gibt das ggf. aus.
        private void ActiveWindowTimer_Tick(object sender, EventArgs e)
        {
            string currentActiveWindow = ApplicationRunningHelper.GetForegroundProcess();

            if (!currentActiveWindow.Equals(string.Empty) && !currentActiveWindow.Equals(lastActiveWindow))
            {
                string output = DateTime.Now.TimeOfDay.ToString() + " " + currentActiveWindow;
                outputLog.Add(output);

                // Control updaten
                FocusSwitchLog.DataSource = null;
                FocusSwitchLog.DataSource = outputLog;

                lastActiveWindow = currentActiveWindow;
            }
        }

        // Passt die Größe der ListBox dem Fenster an.
        private void MainForm_SizeChanged(object sender, EventArgs e)
        {
            Size newSize = new System.Drawing.Size(this.Size.Width - 40, this.Size.Height - 66);
            FocusSwitchLog.Size = newSize;
        }
    }
}
